Package org.apache.sling.models.impl.via

# Class AbstractResourceTypeViaProvider

java.lang.Object
org.apache.sling.models.impl.via.AbstractResourceTypeViaProvider

All Implemented Interfaces:
  `org.apache.sling.models.spi.ViaProvider`

Direct Known Subclasses:
  `ForcedResourceTypeViaProvider`, `ResourceSuperTypeViaProvider`

public abstract class AbstractResourceTypeViaProvider extends Object implements org.apache.sling.models.spi.ViaProvider

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final org.slf4j.Logger`
`log`

### Fields inherited from interface org.apache.sling.models.spi.ViaProvider

`ORIGINAL`

## Constructor Summary

Constructors
Constructor
Description
`AbstractResourceTypeViaProvider()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`getAdaptable(Object original, String value)`
`protected abstract @Nullable String`
`getResourceType(@NotNull org.apache.sling.api.resource.Resource resource, @NotNull String value)`
`protected abstract boolean`
`handle(@NotNull String value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.sling.models.spi.ViaProvider

`getType`

## Field Details

### log

protected final org.slf4j.Logger log

## Constructor Details

### AbstractResourceTypeViaProvider

public AbstractResourceTypeViaProvider()

## Method Details

### getAdaptable

public Object getAdaptable(Object original, String value)

Specified by:
  `getAdaptable` in interface `org.apache.sling.models.spi.ViaProvider`

### handle

protected abstract boolean handle(@NotNull @NotNull String value)

### getResourceType

@Nullable protected abstract @Nullable String getResourceType(@NotNull @NotNull org.apache.sling.api.resource.Resource resource, @NotNull @NotNull String value)